/*
Copyright (c) 2003-2004, Gregory Kuhlmann, Peter Stone, Justin Lallinger,
University of Texas at Austin
All right reserved

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

3. Neither the name of the University of Texas nor the names of its
contributors may be used to endorse or promote products derived from this
software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#include "StockAction.h"

void StockAction::Output( ostream & os, bool dv )
{
  switch ( type ) {
  case STOCK_PASS:
    os << "(stock (pass " << iarg << "))";
    break;
  case STOCK_SHOOT:
    os << "(stock (shoot))";
    break;
  case STOCK_INTERCEPT:
    os << "(stock (intercept))";
    break;
  case STOCK_GO_HOME:
    os << "(stock (go home))";
    break;
  case STOCK_GO_POS:
    os << "(stock (go pos))";
    break;
  case STOCK_CLEAR_LEFT:
    os << "(stock (clear left))";
    break;
  case STOCK_CLEAR_RIGHT:
    os << "(stock (clear right))";
    break;
  case STOCK_CLEAR_CENTER:
    os << "(stock (clear center))";
    break;
  case STOCK_DRIBBLE_LEFT:
    os << "(stock (dribble left))";
    break;
  case STOCK_DRIBBLE_RIGHT:
    os << "(stock (dribble right))";
    break;
  case STOCK_DRIBBLE_CENTER:
    os << "(stock (dribble center))";
    break;
  case STOCK_GOALIE_CATCH:
    os << "(stock (catch))";
    break;
  case STOCK_HOLD:
    os << "(stock (hold))";
    break;
  case STOCK_RECEIVE_PASS:
    os << "(stock (receive pass))";
    break;
  case STOCK_MARK:
    os << "(stock (mark))" << endl;
  }
}
